#include <iostream>
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	int n, m = 0, pon = -1, mi;
	bool t = 0;
	cin >> n;
	int a[n];
	for(int i = 0; i < n; i++)
	{
		cin >> a[i];
		if(i > 0 && !t && a[i-1] < a[i]) t = 1;
		if(i > 0 && a[i-1] == a[i]) pon = i;
		if(t && a[i] > m) m = a[i], mi = i;
	}
	if(t)
	{
		int i;
		for(i = 0; a[i] >= m; i++);
		pon = a[i];
		a[i] = m;
		a[mi] = pon;
		for(int j = 0; j < n; j++) cout << a[j] << " ";
	}
	else if(pon != -1)
		for(int i = 0; i < n; i++)
			cout << a[i] << " ";
	else
	{
		for(int i = 0; i < n - 2; i++) cout << a[i] << " ";
		cout << a[n-1] << " " << a[n-2] << " ";
	}
}